javax.lang.model.element

## Interface TypeParameterElement

All Superinterfaces:
  Element

    public interface TypeParameterElement
    extends Element

Represents a formal type parameter of a generic class, interface, method, or constructor element. A type parameter declares a `TypeVariable`.

Since:
  1.6
See Also:
  `TypeVariable`

### Method Summary

Methods
`List<? extends TypeMirror>` `getBounds()` Returns the bounds of this type parameter.
`Element` `getGenericElement()` Returns the generic class, interface, method, or constructor that is parameterized by this type parameter.

### Methods inherited from interface javax.lang.model.element.Element

`accept, asType, equals, getAnnotation, getAnnotationMirrors, getEnclosedElements, getEnclosingElement, getKind, getModifiers, getSimpleName, hashCode`

### Method Detail

#### getGenericElement

    Element getGenericElement()

Returns the generic class, interface, method, or constructor that is parameterized by this type parameter.

Returns:
  the generic class, interface, method, or constructor that is parameterized by this type parameter

#### getBounds

    List<? extends TypeMirror> getBounds()

Returns the bounds of this type parameter. These are the types given by the `extends` clause used to declare this type parameter. If no explicit `extends` clause was used, then `java.lang.Object` is considered to be the sole bound.

Returns:
  the bounds of this type parameter, or an empty list if there are none

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.